package inria.paperoles.gestures.recognition;

import inria.paperoles.gestures.definition.GestureDefinition;

import org.ximtec.igesture.core.GestureClass;

public class GeneralizedGestureClass extends GestureClass{

	GestureDefinition definition; 
	// in the future, this object will contain a lot of information about scope and other properties of the gesture
	public GeneralizedGestureClass(String name) {
		super(name);
		
		definition = null;
	}
	
	public GeneralizedGestureClass(GestureDefinition definition) {
		super(definition.getName());

		this.definition = definition;
	}
		
	public GestureDefinition getDefinition(){
		return definition;
	}

	boolean active = true;
	public void setActive(boolean b) {
		active = b;
	}	
	
	public boolean isActive() {
		return active;
	}	
	
}
