package inria.paperoles.grammar;

import inria.paperoles.gestures.GeneralInkStroke;
import inria.paperoles.gestures.SingleInkStroke;
import inria.paperoles.gestures.SingleStrokeAnalysisResult;
import inria.paperoles.operations.Operation;
import inria.paperoles.scoremodel.ScorePart;
import inria.paperoles.scoremodel.VoiceLine;
import inria.paperoles.ui.GesturesCanvas;

import java.awt.Shape;
import java.util.Collection;
import java.util.Vector;

public class ClosedSelector extends Token{

	public ClosedSelector(SingleInkStroke stroke, GesturesCanvas gcanvas) {
		super(stroke, gcanvas);
		
		types = new int[1];
		types[0] = Scope.INSIDE;
	}


	boolean containsNotes = false;
	public void setContainsNotes(){
		containsNotes = true;
	}
	
	/*
	Vector<ScorePart> getPoints(){ 
		if(controlPoints == null) return null;
		
		Vector<ScorePart> points = new Vector<ScorePart>();
		for(WaveLineControlPoint controlPoint:controlPoints)
			points.add(controlPoint.getPoint());
		
		return points;
	}
	
	Collection<WaveLineControlPoint> controlPoints;
	public void setContainsCurvePoints(Collection<WaveLineControlPoint> points){
		containsNotes = true;
		types[0] = Scope.CURVE_POINTS;
		this.controlPoints = points;
	}
	
	public boolean containsNotes(){
		return containsNotes;
	}*/

	/*
	public int getType(){
		if(types[0] == Scope.CURVE_POINTS) return Operation.WAVE_POINT;
		///TODO: hmmmm does it work? the getScope()?????
		else if(getScope()!=null) return Operation.SCORE_SCOPE;
		return Operation.VOID;
	}*/
	
	public String toString(){		
		return "Closed Selector";
	}
	
}
