package inria.paperoles.grammar;

import java.awt.Shape;

import papertoolkit.pen.PenSample;
import inria.paperoles.gestures.GeneralInkStroke;
import inria.paperoles.ui.GesturesCanvas;

public class SelectorToken extends Token{

	GeneralInkStroke selectedStroke;
	public SelectorToken(GeneralInkStroke stroke, GesturesCanvas gcanvas, 
			GeneralInkStroke selectedStroke) {
		super(stroke, gcanvas);
		
		this.selectedStroke = selectedStroke;
	}

/*	public boolean isContainedIn(Shape shape){
		if(stroke == null) return false;
		
		int counter_yes = 0;
		for(PenSample sample:stroke.getSamples())
			if(shape.contains(sample.getX(), sample.getY())) counter_yes++; 
		
		if(((float)counter_yes)/stroke.getSamples().size() >=.98) return true;
		else return false;
	}*/
	
	public Token getContainerToken(){
		return selectedStroke.getToken().getContainerToken();
	}
	
	public Token getSelectedToken(){	
		return selectedStroke.getToken();
	}
	
	public Token getRootSelectedToken(){	
		Token selectedToken = selectedStroke.getToken().getContainerToken();
		
		if(selectedToken.getRoot()!= null) return selectedToken.getRoot();
		else return selectedToken;
	}
	
	public boolean isRecognizable() {
		return false;
	}
	
	public String toString(){	
		
		return "Selector";
	}
}
