package inria.paperoles.ui;

import java.awt.Color;

public class GlobalParameters {

	final static int DICTIONARY_ITEM_WIDTH = 60;
	final static int DICTIONARY_ITEM_HEIGHT = 60;
	final static int FRAME_OFFSET_X = 15;
	final static int FRAME_OFFSET_Y = 20;
	
	public final static int OFFSET_X = 0;
	public final static int OFFSET_Y = 0;
	
	protected static final int MENU_ITEM_WIDTH = 30;
	protected static final int MENU_ITEM_HEIGHT = 30;
	public static final double MARKER_MAX_SIZE = 35;
	public static final Color LIST_SELECTION_COLOR = new Color(233,228,243);
	
	public static final int DEFAULT_RECOGNIZER_DISTANCE = 550;
	public static final int MAX_RECOGNIZER_DISTANCE = 5000;
	
	public final static String ICONS_FOLDER = "icons/";
	public final static String DATA_FOLDER = "pendata/";
	
	public static boolean isTest = false;
	public static int STAFF_LENGTH = 10000;
	
	public final static int MIN_AMPLITUDE = 1900;
	public final static int MAX_AMPLITUDE = 10100;
	
	public final static String DOC_FORMATS_FILE = "doc-formats.txt";
	public final static String DEFINITIONS_FILE = "init-definitions.def";
	public static final int TIME_OUT = 0;//4000;
	
	public static final boolean DUAL_MODE = true;
	public static final boolean IS_IN_NOTATION_MODE = false;//true;
	public static final double POINT_SIZE = 8;
	public static final double MIN_PARAMETER_DISTANCE = 12;
	
	public static final int MAX_OSC_SIZE = 40;
	public static final String CONFIG_FILE = "config.txt";
}
