package inria.paperoles.customization;

import java.awt.Point;
import java.awt.geom.Point2D;

import edu.umd.cs.piccolo.PCamera;
import inria.paperoles.ui.GestureBrowser;
import inria.paperoles.ui.GestureDefinitionDialog;
import inria.paperoles.ui.GesturePath;
import inria.paperoles.ui.ScoreViewer;

public class GestureDefinitionCommand extends GestureManipulationCommand{

	final static int X_OFFSET = - 10;
	final static int Y_OFFSET =  - 50;
	
	
	public GestureDefinitionCommand(GesturePath gesture) {
		super("Define", gesture);

//		System.err.println(">>>>>> " + gesture.getToken());		
	}

	
	public void activate(Object context){		
		Point2D point = (Point2D)context;
		Point p = ((ScoreViewer)(((PCamera)gesture.getRoot().getChild(0)).getComponent())).getLocationOnScreen();
	
		GestureBrowser frame =
			(GestureBrowser)((ScoreViewer)((PCamera)gesture.getRoot().getChild(0)).getComponent()).getTopLevelAncestor();
		
		GestureDefinitionDialog dialog = new GestureDefinitionDialog(frame, null, gesture,
				p.x + (int)point.getX() + X_OFFSET, p.y + (int)point.getY() + Y_OFFSET);
				
		dialog.setVisible(true);
		gesture.setNormal();
	}
}
