package inria.paperoles.customization;

import inria.paperoles.gestures.recognition.GeneralizedGestureClass;
import inria.paperoles.ui.GesturePath;


public class UnclassifyCommand extends GestureManipulationCommand {

	public UnclassifyCommand(GesturePath gesture) {
		super("No class", gesture);
		
		if(gesture.getGestureClass() == null) 
			active = false;
	}

	public void activate(Object context){
		gesture.assignToGestureClass(null, 0, false);
		
		//ici...
//		gesture.getCanvas().getSyntaxAnalyzer().matchOperations(gesture.getToken());
	}
}
