package inria.paperoles.data;

import java.util.SortedMap;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.Vector;

import papertoolkit.events.EventHandler;
import papertoolkit.events.ExtendedPenEvent;


public class EventSorter {

	//SortedMap<Integer, ExtendedPenEvent> smap;
	SortedSet<ExtendedPenEvent> events;
	EventHandler eventHandler;
	
	public EventSorter(EventHandler eventHandler){
		this.eventHandler = eventHandler;
		events = new TreeSet<ExtendedPenEvent>();
	}

	public void handleEvent(ExtendedPenEvent extendedPenEvent) {
		events.add(extendedPenEvent);
	}
	
	public void submit(){
		for(ExtendedPenEvent event:events){
			eventHandler.handleEvent(event);
		}
		
		events.clear();
	}
	
}
