package inria.paperoles.gestures;


/**
 * Basically a struct to contain the name of the template and the confidence.
 */
public class StrokeRecognitionResult {
	String name;
	double score;
	int type;
	
	public StrokeRecognitionResult(String nameVal, int type, double scoreVal) {
		name = nameVal;
		score = scoreVal;
		this.type = type;
	}
	
	public String toString() {
		return "Recognized as " + name + " with a score of " + score; 
	}
	
	public String getName() {
		return name;
	}
	
	public int getType(){
		return type;
	}
	
	public double getScore(){
		return score;
	}
}
