package inria.paperoles.grammar;

import inria.paperoles.ui.GesturesCanvas;

public class ConnectedComplexGesture extends ComplexGesture {

	ComplexGesture connectors;
	public ConnectedComplexGesture(){
		super();
		
		connectors = new ComplexGesture();
		addToken(connectors);
	}
	
	public void addConnector(ConnectorToken connector){
		connectors.addToken(connector);
	}
	
	public void addToken(Token token){
		if(token instanceof ConnectedComplexGesture){
			for(Token connector:((ConnectedComplexGesture)token).connectors.tokens)
				addConnector((ConnectorToken)connector);
			
			for(int i = 1; i<((ConnectedComplexGesture)token).tokens.size(); ++i)
				super.addToken(((ConnectedComplexGesture)token).tokens.elementAt(i));
		}
		else super.addToken(token);
	}
		
	public String toString(){
		String str = "" + getClass();
		for(Token t:tokens)
			str +="\n\t\t" + t.toString();
		
		return str;
	}
	

}
