package inria.paperoles.grammar;

import inria.paperoles.gestures.GeneralInkStroke;
import inria.paperoles.gestures.SingleStrokeAnalysisResult;
import inria.paperoles.ui.GesturesCanvas;

public class ParenthesisToken extends ScopeDelimiter{

	public ParenthesisToken(GeneralInkStroke stroke, GesturesCanvas gcanvas) {
		super(stroke, gcanvas, true);
	}

	public Token getContainerToken() {
		if(getParent()!= null)
			if(getParent().getParent()!= null)
				return getParent().getParent();
			else return getParent();
		else return this;
	}


}
