package inria.paperoles.scoremodel;

import java.awt.Color;
import java.awt.Shape;
import java.awt.geom.Rectangle2D;
import java.util.Collection;
import java.util.Vector;

import edu.umd.cs.piccolo.nodes.PPath;
import edu.umd.cs.piccolo.nodes.PText;

import inria.paperoles.docmodel.DocPart;

public class GraphVoiceLine extends VoiceLine{
	
	PolyStaff polyStaff;
	final static Color STROKE_COLOR = new Color(180, 200, 140);
	final static Color FILL_COLOR = new Color(200, 240, 190);
	
	Vector<Segment> segments;
	Voice voice;
	int num;
	
	
	public GraphVoiceLine(PolyStaff parent, int id, int x, int y, int width, int height){
		super(parent, id, x, y, width, height);

		setStrokePaint(STROKE_COLOR);
		setPaint(FILL_COLOR);

	}
	
}
